Summary: Basic requirement for icon themes
Name: hicolor-icon-theme
Version: 0.10
Release: %mkrel 1
License: GPL
Group: Graphical desktop/Other
URL: http://freedesktop.org/Software/icon-theme
Source0: http://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Conflicts: kdelibs-common <= 30000000:3.2.1-1mdk

%description
Contains the basic directories and files needed for icon theme support.

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
touch %buildroot%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%files
%defattr(-,root,root,-)
%doc README
%dir %{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/index.theme
%{_datadir}/icons/hicolor/*/
%ghost %{_datadir}/icons/hicolor/icon-theme.cache


%changelog
* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10-1mdv2007.0
+ Revision: 102365
- Release 0.10
  Remove patch0, no longer needed with latest gnome-icon-theme
- Import hicolor-icon-theme



* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2007.0
- rebuild for new clean_icon_cache macro

* Wed Aug 30 2006 Gtz Waschk <waschk@mandriva.org> 0.9-4mdv2007.0
- fix uninstallation

* Mon Mar 06 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9-3mdk
- Update patch0 with document stock icons (Mdk bug #21466)

* Fri Mar 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9-2mdk
- Patch0: add missing generic stock icon (Mdk bug #21426)
- Update gtk icon cache on install/upgrade, if gtk-update-icon-cache is present

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 0.9-1mdk
- New release 0.9
- use mkrel

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- New release 0.8

* Fri Feb  4 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- New release 0.7

* Wed Feb 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk 
- Release 0.6

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com>  0.4-1mdk
- Initial Mandrakelinux package, based on Fedora package

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb  4 2004 Alexander Larsson <alexl@redhat.com> 0.3-1
- update to 0.3

* Fri Jan 16 2004 Alexander Larsson <alexl@redhat.com> 0.2-1
- Initial build.
